#ifndef _OWLPS_POSITIONING_INPUT_HH_
#define _OWLPS_POSITIONING_INPUT_HH_

class InputMedium ;
class InputLogMedium ;
class Request ;

#include <vector>

/// Handles the inputs
class Input
{
protected:
  InputMedium *medium ; ///< Input medium used
  /// List of input log media used
  std::vector<InputLogMedium*> log_media ;

  void initialise_input_medium(void) ;
  void initialise_log_media(void) ;
  void initialise_log_csv(void) ;
  void log_current_request(void) const ;

public:
  Input(void) ;

  ~Input(void) ;

  /** @name Operations */
  //@{
  const Request& get_next_request(void) const ;
  bool eof(void) const ;
  //@}
} ;

#endif // _OWLPS_POSITIONING_INPUT_HH_
