#ifndef _OWLPS_POSITIONING_INPUTDATAREADER_HH_
#define _OWLPS_POSITIONING_INPUTDATAREADER_HH_

class InputMedium ;
class CalibrationRequest ;

#include <vector>

/// Reads input data using parameters in Configuration
class InputDataReader
{
protected:
  std::vector<InputMedium*> reference_points_media ;

  void read_access_points(void) ;
  void initialise_access_points_media(void) ;
  void initialise_access_points_csv(void) ;

  void read_topology(void) ;
  void initialise_topology_media(void) ;
  void initialise_topology_csv(void) ;

  void read_reference_points(void) ;
  void initialise_reference_points_media(void) ;
  void initialise_reference_points_csv(void) ;
  void read_from_reference_points_media(void) ;
  void stock_calibration_request(
    const CalibrationRequest &request) const ;

public:
  InputDataReader(void) ;

  ~InputDataReader(void) ;
} ;

#endif // _OWLPS_POSITIONING_INPUTDATAREADER_HH_
