#ifndef _OWLPS_POSITIONING_OUTPUTCSV_HH_
#define _OWLPS_POSITIONING_OUTPUTCSV_HH_

#include "outputmedium.hh"
#include "textfilewriter.hh"

/// Writes results to a CSV file
/**
 * CSV format is:
 *   Mobile_MAC;Timestamp;Algorithm1;X;Y;Z;…;AlgorithmN;X;Y;Z
 */
class OutputCSV: public OutputMedium
{
protected:
  TextFileWriter file ;

public:
  OutputCSV(const std::string &filename):
    file(filename) {}

  void write(const Result &result) ;
  void write(const ResultList &results) ;
} ;



/* *** Operations *** */



#endif // _OWLPS_POSITIONING_OUTPUTCSV_HH_
