#include <cxxtest/TestSuite.h>

#include "posutil.hh"

class PosUtil_test: public CxxTest::TestSuite
{
public:

  void test_wifi(void)
  {
    // Bad values
    TS_ASSERT_EQUALS(PosUtil::wifi_channel_to_hz(0),
                     static_cast<unsigned int>(0)) ;
    TS_ASSERT_EQUALS(PosUtil::wifi_channel_to_hz(15),
                     static_cast<unsigned int>(0)) ;

    // Good values
    for (unsigned int i = 1 ; i < 15 ; ++i)
      {
        TS_ASSERT(PosUtil::wifi_channel_to_hz(i) >= 2412000000ul) ;
        TS_ASSERT(PosUtil::wifi_channel_to_hz(i) <= 2477000000ul) ;
      }
  }

} ;
