#include <cxxtest/TestSuite.h>

#include "result.hh"
#include "request.hh"

class Result_test: public CxxTest::TestSuite
{
public:

  void test_constructor(void)
  {
    // Default constructor
    Result result1 ;
    Result result2(NULL) ;
    Result result3(NULL, Point3D()) ;
    TS_ASSERT_EQUALS(result1, result2) ;
    TS_ASSERT_EQUALS(result1, result3) ;

    Request request1 ;
    Result result4(&request1) ;
    TS_ASSERT(result1 != result4) ;
  }

  void test_accessors(void)
  {
    Timestamp timestamp1 ;
    timestamp1.now() ;
    Request request1(timestamp1) ;
    Point3D point3d1(3,4,2) ;
    Result result1(&request1, point3d1) ;

    TS_ASSERT_EQUALS(result1.get_position(), point3d1) ;
    TS_ASSERT_EQUALS(result1.get_request(), &request1) ;
  }

  void test_operators(void)
  {
    Timestamp timestamp1 ;
    timestamp1.now() ;
    Request request1(timestamp1) ;
    Point3D point3d1(3,4,2) ;
    Result result1(&request1, point3d1) ;
    Result result2(&request1, point3d1) ;
    TS_ASSERT_EQUALS(result1, result2) ;

    Result result3 ;
    TS_ASSERT(result1 != result3) ;

    result3 = result1 ;
    TS_ASSERT_EQUALS(result1, result3) ;
  }

} ;
